import random
import os
import pickle

num = list(range(1, 126, 1))
tup = ()
for i in num:
    tup = tuple(tup + (random.randint(6, 56),))
str_tup = tuple(map(str, tup))
print(str_tup)
surname = ["Зеленкина", "Криви", "Капитонов", "Хатюхин", "Шабатов"]
print("Создан список фамилий:", surname)

f = open('bin.mnz', 'wb')
pickle.dump(str_tup, f)
pickle.dump(surname, f)
f.close()

f = open('bin.mnz', 'rb')
obj1 = pickle.load(f)
obj2_spis = pickle.load(f)
f.close()
print("Прочитан кортеж:", obj1)
print("Прочитан список:", obj2_spis)

if obj1 == str_tup and obj2_spis == surname:
    print("Объекты совпадают с исходными!")
else:
    print("Объекты не совпадают с исходными!")

l = []
for i in range(0, 125, 5):
    l.append(list(str_tup[i:i + 5]))

for i in range(25):
    exec(f"list{i + 1} = {l[i]}")

print(dir())